Last Comment Bug 466111 - border routers should conditionally announce default into OSPF
: border routers should conditionally announce default into OSPF
Status: RESOLVED FIXED
ETA 02/12
:
Product: mozilla.org Graveyard
Classification: Graveyard
Component: Server Operations (show other bugs)
: other
: All Other
: -- minor (vote)
: ---
Assigned To: Derek Moore [:dmoore]
: matthew zeier [:mrz]
Mentors:
http://blog.ioshints.info/2007/08/con...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-20 22:30 PST by matthew zeier [:mrz]
Modified: 2015-03-12 08:17 PDT (History)
0 users
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description matthew zeier [:mrz] 2008-11-20 22:30:21 PST
border routers shouldn't announce default route into OSPF unless they have external connectivity.
Comment 1 matthew zeier [:mrz] 2009-02-05 23:25:19 PST
Need to schedule this - missed it on 01/29.  Paste in config snippet for review?
Comment 2 Derek Moore [:dmoore] 2009-02-12 17:12:04 PST
We'll be basing our conditional default routes on the presence of a core route from at least one of our three service providers.

The default-originate route-map must match on a route explicitly present in the routing table. Unfortunately, AS path and next-hop information are not valid parameters in this scenario.

We've chosen two core routes from each provider, routes which are integral to their backbones and extremely unlikely to disappear from BGP announcements:

Mzima:
  67.201.0.0/18
  72.37.128.0/18

GNI:
  64.127/96.0/19
  64.147.160.0/19

Level3:
  4.0.0.0/8
  62.67.0.0/16

As long as we are receiving one of these routes (from *any* source), we assume we still have a viable connection to the internet at large. The router will inject a default route into our internal OSPF areas as long as any of these provider routes are being learned via BGP.
Comment 3 Derek Moore [:dmoore] 2009-02-12 17:26:28 PST
ip access-list standard bgp-test-routes
  permit 67.201.0.0 0.0.63.255
  permit 72.37.128.0 0.0.63.255
  permit 64.127.96.0 0.0.31.255
  permit 64.147.160.0 0.0.31.255
  permit 4.0.0.0
  permit 62.67.0.0 0.0.255.255

route-map bgp-active permit 10
  match ip address bgp-test-routes

router ospf 1
  default-information originate always route-map bgp-active
Comment 4 Derek Moore [:dmoore] 2009-02-12 19:14:20 PST
Changes applied to border1 and border2

Note You need to log in before you can comment on or make changes to this bug.